#! /usr/bin/octave -q

% (C) 2005 Feb, Muthiah Annamalai Octave-GTK Team
%

x = 50;
y = 50;
fixed=0;

%/* This callback function moves the button to a new position
%/* in the Fixed container. */

function move_button(widget )
  global x
  global y
  global fixed
  x = (x + 30) % 300;
  y = (y + 50) % 300;
  gtk_fixed_move ((fixed), widget, x, y); 
end

function main()
  global fixed;
  global x
  global y
  window=0;
 
  x=50;
  y=50;

  FALSE=0
  TRUE=0;
  GTK_WINDOW_TOPLEVEL=0

  %load library
  gtk()
  
  %initation
  gtk_init();
  
  %creation-
  window=gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title(window,"Fixed Container");

  g_signal_connect (window,"destroy",
	            "gtk_main_quit");
  gtk_container_set_border_width (window, 10);

  fixed = gtk_fixed_new ();
  gtk_container_add ((window), fixed);
  gtk_widget_show (fixed);

  for i=1:1:3
    button = gtk_button_new_with_label ("Press me");
  
%    /* When the button receives the "clicked" signal, it will call the
%     * function move_button() passing it the Fixed Container as its
%     * argument. */
    g_signal_connect ((button), "clicked",
		       "move_button")
  
 %   /* This packs the button into the fixed containers window. */
     gtk_fixed_put ((fixed), button, i*50, i*50);
  
%    /* The final step is to display this newly created widget. */
     gtk_widget_show (button);
  end
  gtk_widget_show (window);
    
%  /* Enter the event loop */
  gtk_main ();
  return ;
end

main()
