#! /usr/bin/octave -q

% * This program is free software.
% * This code is a part of Octave-GTK
% * Code may be used or distributed under GPL.
% * (C) Feb 2005 Muthiah Annamalai, Octave-GTK & Octave-libGlade


xml=""
disp('Ohms law example with octave-libglade')

function calculate_cb()
     global xml
     disp('Hello World')
     i=glade_xml_get_widget(xml,"current")
     r=glade_xml_get_widget(xml,"resistance")
     v=glade_xml_get_widget(xml,"voltage")

     amp=str2num(gtk_entry_get_text(i))
     ohm=str2num(gtk_entry_get_text(r))
     gtk_entry_set_text(v,num2str(amp*ohm))     
end

function main()
  global xml

  gtk()
  glade()
  gtk_init()

  xml=glade_xml_new("ohms.glade","window1","");  
  win1=glade_xml_get_widget(xml,"window1");
  glade_xml_signal_autoconnect(xml);
  gtk_widget_show_all(win1);
  gtk_main()
end

main()
