#! /usr/bin/octave -q
% (C) March 2005 Muthiah Annamalai

%/* This routine gets control when the close button is clicked */
function close_application(widget)
    gtk_main_quit ();
    return;
end

%/* The main routine */
function main
     XSIZE=200
     YSIZE=200
     %load library
     gtk()

     %initation
     gtk_init()

     %some enums: ugly but works... ;-0
     FALSE=0;
     TRUE=1;

    GTK_PIXELS = 0
    GTK_SHRINK = 1**1
    GTK_FILL= 1**2
  
     GTK_WINDOW_TOPLEVEL=0;
     
     %/* Initialize the toolkit */
     gtk_init();
     
     %/* Create a new window */
     window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
     
     gtk_window_set_title(window, "Arrow Buttons");
     
     %/* It's a good idea to do this for all windows. */
     g_signal_connect (window,"destroy","gtk_main_quit");
     
     %/* Sets the border width of the window. */
     gtk_container_set_border_width (window, 10);
     
     %/* Create a box to hold the arrows/buttons */
     box = gtk_hbox_new (TRUE,TRUE);
     gtk_container_set_border_width (box, 2);
     gtk_container_add(window, box);
     
     %/* Pack and show all our widgets */
     gtk_widget_show (box);
     
     vbox = gtk_vbox_new (FALSE, 5);

     gtk_container_set_border_width ((window), 10);

     %/* Create a table for placing the ruler and the drawing area */
     table = gtk_table_new (3, 2, FALSE);
     gtk_box_pack_start (box,table,TRUE,TRUE,0);

       area = gtk_drawing_area_new ();
       gtk_widget_set_size_request ((area), XSIZE, YSIZE);

       GTK_EXPAND=1
       GTK_FILL=2
       GDK_POINTER_MOTION_MASK=1**2
       GDK_POINTER_MOTION_HINT_MASK=1**3

       gtk_table_attach ((table), area, 1, 2, 1, 2,
			 GTK_EXPAND+GTK_FILL, GTK_FILL, 0, 0);
       gtk_widget_set_events (area, GDK_POINTER_MOTION_MASK +
                                 GDK_POINTER_MOTION_HINT_MASK);

    %/* The horizontal ruler goes on top. As the mouse moves across the
    %* drawing area, a motion_notify_event is passed to the
    %* appropriate event handler for the ruler. */
    hrule = gtk_hruler_new ();

    gtk_ruler_set_metric ( (hrule), GTK_PIXELS);
    gtk_ruler_set_range ( (hrule), 7, 13, 0, 20);
    %g_signal_connect( (area), "motion_notify_event")
    gtk_table_attach ((table), hrule, 1, 2, 0, 1,
                      GTK_EXPAND+GTK_SHRINK+GTK_FILL, GTK_EXPAND + GTK_FILL, 0, 0);
    
    %/* The vertical ruler goes on the left. As the mouse moves across
    % * the drawing area, a motion_notify_event is passed to the
    % * appropriate event handler for the ruler. */
    vrule = gtk_vruler_new ();
    gtk_ruler_set_metric ( (vrule), GTK_PIXELS);
    gtk_ruler_set_range ((vrule), 0, YSIZE, 10, YSIZE );
    %g_signal_connect((area), "motion_notify_event",
    gtk_table_attach ((table), vrule, 0, 1, 1, 2,
                      GTK_FILL, GTK_EXPAND+GTK_SHRINK+GTK_FILL, 0, 0);

    %/* Now show everything */
    gtk_widget_show (area);
    gtk_widget_show (hrule);
    gtk_widget_show (vrule);
    gtk_widget_show (table);
    gtk_widget_show_all (window);
    gtk_main ();

    return;
end

main()
