#! /usr/bin/octave -q

% A simple AM demo
% y(t) = carrier(t)*[1 + modindex*modulating(t)];
% plot y(t)

freq_entry=0
modindex_entry=0
volts=0


function cb_calc()
     global freq_entry
     global modindex_entry
     global volts

     freq=str2num(gtk_entry_get_text(freq_entry));
     modindex=str2num(gtk_entry_get_text(modindex_entry));
     gtk_entry_set_text(volts,num2str(freq*modindex));
     time=-pi:1/(2*freq):pi;
     carrier=sin(time*freq*2*pi);
     modwave=cos(2*pi*(freq/2)*time);
     %modwave=1:9/length(carrier):10; %staircase wave

     for i=1:length(carrier)
       amwave(i)=carrier(i)*(1 + modindex.*modwave(i));
     end
       
     
     hold on
     plot(time,modwave)
     %plot(time,carrier)
     plot(time,amwave)
     hold off
     %disp('Yes: AM signal Calculated')
end

function main()
     global freq_entry
     global modindex_entry
     global volts

     %load library
     gtk()

     %initation
     gtk_init()

     %creation
     w=gtk_window_new(0)
     b=gtk_vbox_new(0,0)
     freq_entry=gtk_entry_new()
     modindex_entry=gtk_entry_new()
     volts=gtk_entry_new()

     gtk_entry_set_text(freq_entry,"0")
     gtk_entry_set_text(modindex_entry,"0")
     gtk_entry_set_text(volts,"0")
     gtk_window_set_title(w,"Octave-GTK Project")

     okb=gtk_button_new_with_label("Calculate")

     %packing 
     gtk_container_add(w,b)
     gtk_container_add(b,freq_entry)
     gtk_container_add(b,modindex_entry)
     gtk_container_add(b,volts)
     gtk_container_add(b,okb)

     %hookup the signals
     g_signal_connect(okb,"clicked","cb_calc")
     g_signal_connect(w,"destroy","gtk_main_quit")
     
     %show all
     gtk_widget_show_all(w)

     %enter main loop
     gtk_main()
end


main()
