#! /usr/bin/octave -q

amps=0
resist=0
volts=0


function cb_calc()
     global amps
     global resist
     global volts

     n1=str2num(gtk_entry_get_text(amps))
     n2=str2num(gtk_entry_get_text(resist))
     gtk_entry_set_text(volts,num2str(n1*n2))
     r=-pi:0.1:pi;     
     plot(r,sin(r*n1*n2))
     disp('Yes: Voltage Calculated')
end

function main()
     global amps
     global resist
     global volts

     %load library
     gtk()

     %initation
     gtk_init()

     %creation
     w=gtk_window_new(0)
     b=gtk_vbox_new(0,0)
     amps=gtk_entry_new()
     resist=gtk_entry_new()
     volts=gtk_entry_new()

     gtk_entry_set_text(amps,"0")
     gtk_entry_set_text(resist,"0")
     gtk_entry_set_text(volts,"0")

     gtk_window_set_title(w,"Octave-GTK Project")

     okb=gtk_button_new_with_label("Calculate")

     %packing 
     gtk_container_add(w,b)
     gtk_container_add(b,amps)
     gtk_container_add(b,resist)
     gtk_container_add(b,volts)
     gtk_container_add(b,okb)

     %hookup the signals
     g_signal_connect(okb,"clicked","cb_calc")
     g_signal_connect(w,"destroy","gtk_main_quit")
     
     %show all
     gtk_widget_show_all(w)

     %enter main loop
     gtk_main()
end

main()
