#!/usr/bin/octave -q

%FixMe. 

%gtk()
%glade()

xml=0
filename=0

function get_a_filename(title)
    filesel = gtk_file_selection_new(title)
    result = gtk_dialog_run(filesel)

    if result == GTK_RESPONSE_OK
        fname = gtk_file_selection_get_filename(filesel)
    else
        fname = ""
    end

    gtk_widget_destroy(filesel)
    set_filename(fname)
end

function set_filename(fname):
    global filename    
    filename = fname
    str = sprintf("%s  - Gnotepad",filename)
    window=glade_xml_get_widget(xml,"gnotepad")
    gtk_window_set_title(window,filename)     
end

function save_file():
    global xml
    global filename
    if length(filename)!=0
        buffer=gtk_text_view_get_buffer(glade_xml_get_widget(xml,"text"))
        start_iter = gtk_text_buffer_get_start_iter(buffer)
        end_iter =  gtk_text_buffer_get_end_iter(buffer)
        text=gtk_text_buffer_get_text(buffer,start_iter,end_iter)

        save_file = fopen(filename, "w")
        fputs(save_file,text)
        fclose(save_file)
     end
end

function on_gnotepad_destroy(arg):
    gtk_main_quit()
end

function on_new_activate(arg):
    set_filename("")
end

function on_open_activate(arg):
    global filename
    get_a_filename("Open")
     if length(filename)!= 0
        open_file = fopen(filename,"r")
        gtk_text_buffer_set_text()
     end
end

function on_save_activate(arg):
    global filename
    if filename == None:
        get_a_filename("Save")            
     end
    save_file()
end
    
function on_save_as_activate(arg):
    get_a_filename("Save As...")
    save_file()
end

function on_quit_activate(arg):
    xml.get_widget("gnotepad").destroy()
    pass
end

function on_copy_activate(arg):
    print "Not Implemented Yet!"
end

function on_cut_activate(arg):
    print "Not Implemented Yet!"
end

function on_paste_activate(arg):
    print "Not Implemented Yet!"
end

function on_delete_activate(arg):
    print "Not Implemented Yet!"
end

function on_about_activate(arg):
    global xml
    string_data="\nGnotePad - The scaled down version of Emacs!\n\nBy Vijay Kumar<bvjaykumar@bravegnu.org>\n\nOctave-GTK Team (C) 2005 Muthiah Annamalai\n"
    about = gtk_message_dialog_new(glade_xml_get_widget(xml,"gnotepad"),
				   GTK_DIALOG_MODAL, GTK_MESSAGE_INFO, 
				   GTK_BUTTONS_OK_CANCEL,string_data)
     gtk_dialog_run(about);
     gtk_widget_destroy(about);
end


function main()
     global xml;
     gtk();
     glade();
     gtk_init();
     xml=glade_xml_new("./gnotepad.glade","gnotepad","");
     window = glade_xml_get_widget(xml,"gnotepad")
     glade_xml_signal_autoconnect(xml);
     gtk_widget_show_all(window);
     gtk_main();
     return;
end

%starts the whole script
main( ); %free tolerance
